Schedules

List the latest schedule versions

GET
/v1/channels/{id}/versions

Scope: channels:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/versions'
Example Response
{  "channel": {    "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",    "name": "E2E Ad Channel India"  },  "liveVersionId": "f3626338-0b09-4a1f-890c-8f51359da9d5",  "publishedAt": "2026-10-30T09:06:46.112Z",  "versions": [    {      "id": "f3626338-0b09-4a1f-890c-8f51359da9d5",      "versionNum": 181,      "itemCount": 102,      "modelId": "apply-campaigns",      "generatedAt": "2026-10-30T09:06:45.587Z",      "horizonDays": 8,      "isLive": true    },    {      "id": "c42585a4-a1c8-4369-b58f-240d20574a6e",      "versionNum": 180,      "itemCount": 102,      "modelId": "apply-campaigns",      "generatedAt": "2026-10-30T09:06:43.469Z",      "horizonDays": 8,      "isLive": false    }  ]}